package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainPleaseApproveResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface TmstrainPleaseApproveResultMapper extends IBaseMapper<TmstrainPleaseApproveResult, BigDecimal> {
    @Select("select  seq_TMSTRAIN_PLEASE_APPROVE_RESULT.nextval from dual")
    BigDecimal getMaxId();
    //根据销售订单id查找请车批车实绩
    BigDecimal selectResultId(BigDecimal saleOrderNumber);
}